swig: disable PHP bindings until PHP7 support exists

Bug #1546823 reported by Nish Aravamudan on 2016-02-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
exactimage (Ubuntu)
Undecided
Unassigned
gdcm (Ubuntu)
Undecided
Unassigned
geos (Ubuntu)
Undecided
Unassigned
graphviz (Ubuntu)
Undecided
Unassigned
libkolabxml (Ubuntu)
Undecided
Unassigned
mapserver (Ubuntu)
Undecided
Unassigned
owfs (Ubuntu)
Undecided
Unassigned
redland-bindings (Ubuntu)
Undecided
Unassigned
swig (Ubuntu)
Wishlist
Unassigned
swig2.0 (Ubuntu)
Undecided
Unassigned

Bug Description

As a short-term solution, we need to disable swig's PHP bindings, as it does not currently support PHP7.0 (https://github.com/swig/swig/issues/571).

Nish Aravamudan (nacc) wrote :
Nish Aravamudan (nacc) wrote :

The attachment "swig.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Nish Aravamudan (nacc) wrote :
Nish Aravamudan (nacc) wrote :
Nish Aravamudan (nacc) wrote :
Nish Aravamudan (nacc) wrote :
Nish Aravamudan (nacc) wrote :
Martin Pitt (pitti) on 2016-02-19
Changed in swig (Ubuntu):
status: New → Fix Committed
Changed in graphviz (Ubuntu):
status: New → Fix Committed
Changed in redland-bindings (Ubuntu):
status: New → Fix Committed
Changed in exactimage (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

$ reverse-depends php5-mapscript
Reverse-Recommends
==================
* gis-web
* science-geography

But that's ok, recommends only. I verified that all other dropped binaries don't have any reverse build/binary depends.

All sponsored, thanks!

Changed in geos (Ubuntu):
status: New → Fix Committed
Changed in mapserver (Ubuntu):
status: New → Fix Committed
Changed in gdcm (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Unsubscribing sponsors now to clean up the list. Please re-subscribe in case there's anything further that needs uploading.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package exactimage - 0.9.1-12ubuntu1

---------------
exactimage (0.9.1-12ubuntu1) xenial; urgency=medium

  * Disable php5-exactimage while swig does not support PHP 7.0
    (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Fri, 12 Feb 2016 11:38:35 -0800

Changed in exactimage (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package geos - 3.5.0-1ubuntu1

---------------
geos (3.5.0-1ubuntu1) xenial; urgency=medium

  * Disable php5-geos while swig does not support PHP 7.0
    (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Fri, 12 Feb 2016 12:07:21 -0800

Changed in geos (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdcm - 2.6.3-1ubuntu1

---------------
gdcm (2.6.3-1ubuntu1) xenial; urgency=medium

  * Disable php5-gdcm and php5-vtkgdcm while swig does not support
    PHP 7.0 (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Fri, 12 Feb 2016 11:59:49 -0800

Changed in gdcm (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mapserver - 7.0.0-9ubuntu1

---------------
mapserver (7.0.0-9ubuntu1) xenial; urgency=medium

  * Disable php5-mapscript while swig does not support PHP 7.0
    (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Thu, 18 Feb 2016 16:24:09 -0800

Changed in mapserver (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swig - 3.0.8-0ubuntu2

---------------
swig (3.0.8-0ubuntu2) xenial; urgency=medium

  * debian/rules: Disable PHP SWIG bindings for PHP7.0 transition
    (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Tue, 12 Jan 2016 13:20:42 -0800

Changed in swig (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package redland-bindings - 1.0.17.1+dfsg-1.2ubuntu1

---------------
redland-bindings (1.0.17.1+dfsg-1.2ubuntu1) xenial; urgency=medium

  * Remove php5-librdf while swig does not support PHP7.0 (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Wed, 17 Feb 2016 18:10:00 -0800

Changed in redland-bindings (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package graphviz - 2.38.0-12ubuntu1

---------------
graphviz (2.38.0-12ubuntu1) xenial; urgency=medium

  * Disable libgv-php5 while swig does not support PHP 7.0
    (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Wed, 17 Feb 2016 18:14:22 -0800

Changed in graphviz (Ubuntu):
status: Fix Committed → Fix Released
Nish Aravamudan (nacc) wrote :
Steve Langasek (vorlon) on 2016-03-28
Changed in owfs (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package owfs - 3.1p1-2ubuntu1

---------------
owfs (3.1p1-2ubuntu1) xenial; urgency=medium

  * Disable libow-php{,5} while swig does not support PHP 7.0
    (LP: #1546823).
  * Update to PHP7.0 dependencies (LP: #1562215).

 -- Nishanth Aravamudan <email address hidden> Mon, 28 Mar 2016 09:50:57 -0700

Changed in owfs (Ubuntu):
status: Fix Committed → Fix Released
Nish Aravamudan (nacc) wrote :
Nish Aravamudan (nacc) wrote :
Changed in swig (Ubuntu):
status: Fix Released → New
Nish Aravamudan (nacc) wrote :
Steve Langasek (vorlon) on 2016-04-06
Changed in libkolabxml (Ubuntu):
status: New → Fix Committed
Steve Langasek (vorlon) on 2016-04-06
Changed in swig (Ubuntu):
status: New → Fix Committed
Changed in swig2.0 (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swig2.0 - 2.0.12-1ubuntu4

---------------
swig2.0 (2.0.12-1ubuntu4) xenial; urgency=medium

  * debian/rules: Disable PHP SWIG bindings for PHP7.0 transition
    (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Tue, 05 Apr 2016 12:01:14 -0700

Changed in swig2.0 (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swig - 3.0.8-0ubuntu3

---------------
swig (3.0.8-0ubuntu3) xenial; urgency=medium

  * d/rules: remove build-dep on php5* while SWIG does not support
    PHP7.0 (LP: #1546823).

 -- Nishanth Aravamudan <email address hidden> Tue, 05 Apr 2016 11:53:32 -0700

Changed in swig (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libkolabxml - 1.1.2-0ubuntu3

---------------
libkolabxml (1.1.2-0ubuntu3) xenial; urgency=medium

  * Disable php-kolabformat while swig does not support PHP7.0 (LP: #1546823).
    - http://lists.kolab.org/pipermail/users/2015-December/020357.html

 -- Nishanth Aravamudan <email address hidden> Tue, 05 Apr 2016 10:02:53 -0700

Changed in libkolabxml (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers